package com.kingdee.eas.custom.handover.task;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class WorkHandoverFacadeFactory
{
    private WorkHandoverFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.handover.task.IWorkHandoverFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.handover.task.IWorkHandoverFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("0BB58DA4") ,com.kingdee.eas.custom.handover.task.IWorkHandoverFacade.class);
    }
    
    public static com.kingdee.eas.custom.handover.task.IWorkHandoverFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.handover.task.IWorkHandoverFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("0BB58DA4") ,com.kingdee.eas.custom.handover.task.IWorkHandoverFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.handover.task.IWorkHandoverFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.handover.task.IWorkHandoverFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("0BB58DA4"));
    }
    public static com.kingdee.eas.custom.handover.task.IWorkHandoverFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.handover.task.IWorkHandoverFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("0BB58DA4"));
    }
}